%define realname    south

Name:           python-django-south
Version:        1.0
Release:        %mkrel 6
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Python
License:        ASL 2.0
URL:            http://south.aeracode.org
Source:         https://pypi.python.org/packages/source/S/South/South-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
Requires:       python-django

%description
South brings migrations to Django applications. Its main objectives are to
provide a simple, stable and database-independent migration layer to prevent
all the hassle schema changes over time bring to your Django applications.

%package -n python3-django-south
Summary:        Intelligent schema migrations for Django apps
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
Requires:       python3-django

%description -n python3-django-south
South brings migrations to Django applications. Its main objectives are to
provide a simple, stable and database-independent migration layer to prevent
all the hassle schema changes over time bring to your Django applications.

%prep
%setup -q -n South-%{version}
rm -rf South.egg-info

cp -a . %{py3dir}


%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd


%files
%doc README
%{python_sitelib}/south
%{python_sitelib}/South-%{version}-py?.?.egg-info


%files -n python3-django-south
%doc README
%{python3_sitelib}/south
%{python3_sitelib}/South-%{version}-py?.?.egg-info



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.0-6.mga6
+ Revision: 971005
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.0-5.mga6
+ Revision: 888885
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0-4.mga5
+ Revision: 740218
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0-3.mga5
+ Revision: 728334
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 687994
- Mageia 5 Mass Rebuild

* Tue Aug 12 2014 philippem <philippem> 1.0-1.mga5
+ Revision: 662090
- update to 1.0

* Sat May 31 2014 pterjan <pterjan> 0.8.4-2.mga5
+ Revision: 628602
- Rebuild for new Python

* Fri Apr 25 2014 philippem <philippem> 0.8.4-1.mga5
+ Revision: 618098
- update to 0.8.4, add Python3

* Tue Oct 22 2013 umeabot <umeabot> 0.8.2-3.mga4
+ Revision: 543302
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.2-2.mga4
+ Revision: 498407
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.8.2-1.mga4
+ Revision: 472032
- update to 0.8.2

* Sun Jan 13 2013 umeabot <umeabot> 0.7.6-2.mga3
+ Revision: 378724
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 philippem <philippem> 0.7.6-1.mga3
+ Revision: 334324
- Update to 0.7.6

* Mon Feb 21 2011 ahmad <ahmad> 0.7.3-1.mga1
+ Revision: 55731
- update to 0.7.3
- use the tarball url in the Source tag

* Thu Jan 27 2011 ahmad <ahmad> 0.7.2-1.mga1
+ Revision: 42416
- imported package python-django-south


* Mon Nov 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.7.2-1mdv2011.0
+ Revision: 591685
- import python-django-south

